Subject: Re: git pack/unpack over bittorrent - works!

From: A Large Angry SCM <[email-masked]>
Date: Thu, 02 Sep 2010 13:09:06 -0400

On 09/02/2010 12:41 PM, Nicolas Pitre wrote:

[...]

> I would go as far as stating that this is never guaranteed by design.
> And I will oppose any attempt to introduce such restrictions as this
> will only prevent future enhancements to packing heuristics.
>
> For example, right now you already can't rely on having the exact same
> pack output even on the same machine using the same arguments and the
> same inputs simply by using threads.  As soon as you're using more than
> one thread (most people do these days) then your pack output becomes non
> deterministic.

Finally, the real pack expert weighs in!